// RemoteFAXDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RemoteFAX.h"
#include "RemoteFAXDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRemoteFAXDlg dialog

CRemoteFAXDlg::CRemoteFAXDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRemoteFAXDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRemoteFAXDlg)
	m_Image = _T("");
	m_Message = _T("");
	m_PhoneNumber = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CRemoteFAXDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRemoteFAXDlg)
	DDX_Text(pDX, IDC_EDITIMAGE, m_Image);
	DDX_Text(pDX, IDC_EDITMESSAGE, m_Message);
	DDX_Text(pDX, IDC_EDITPHONE, m_PhoneNumber);
	DDX_Control(pDX, IDC_DECTELEFAX1, m_fax);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CRemoteFAXDlg, CDialog)
	//{{AFX_MSG_MAP(CRemoteFAXDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDSERVER, OnServer)
	ON_BN_CLICKED(IDCLIENT, OnClient)
	ON_BN_CLICKED(IDSTATUS, OnStatus)
	ON_BN_CLICKED(IDDISCONNECT, OnDisconnect)
	ON_BN_CLICKED(IDSETCOM2, OnSetcom2)
	ON_BN_CLICKED(IDPHONE, OnPhone)
	ON_BN_CLICKED(IDMESSAGE, OnMessage)
	ON_BN_CLICKED(IDIMAGE, OnImage)
	ON_BN_CLICKED(IDSENDFAX, OnSendfax)
	ON_BN_CLICKED(IDGETFAX, OnGetfax)
	ON_BN_CLICKED(IDTXINFO, OnTxinfo)
	ON_BN_CLICKED(IDTXIMAGE, OnTximage)
	ON_BN_CLICKED(IDGETINFO, OnGetinfo)
	ON_BN_CLICKED(IDGETIMAGE, OnGetimage)
	ON_BN_CLICKED(IDEXIT, OnExit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRemoteFAXDlg message handlers

BOOL CRemoteFAXDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CRemoteFAXDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CRemoteFAXDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CRemoteFAXDlg::OnServer() 
{
	// TODO: Add your control notification handler code here
	m_fax.SetPropertyTerminalType("Server");
	m_fax.SetPropertyPassword("Decision Computer");
	m_fax.SetServer();		
}

void CRemoteFAXDlg::OnClient() 
{
	// TODO: Add your control notification handler code here
	m_fax.SetPropertyTerminalType("Client");
	m_fax.SetPropertyPassword("Decision Computer");
	m_fax.SetConnect();			
}

void CRemoteFAXDlg::OnStatus() 
{
	// TODO: Add your control notification handler code here
long lRet;
CString sRet;
	lRet=m_fax.ConnectStatus();
	sRet=m_fax.CliGetsConnectionStatus();
	MessageBox(sRet);		
}

void CRemoteFAXDlg::OnDisconnect() 
{
	// TODO: Add your control notification handler code here
	m_fax.DisConnect();		
}

void CRemoteFAXDlg::OnSetcom2() 
{
	// TODO: Add your control notification handler code here
	m_fax.FaxCOMPort("COM2");		
}

void CRemoteFAXDlg::OnPhone() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	m_fax.FaxTelNo(m_PhoneNumber);		
}

void CRemoteFAXDlg::OnMessage() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if (m_Message != "")
		m_fax.FaxSendText(m_Message,"SAME");		
}

void CRemoteFAXDlg::OnImage() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if (m_Image != "")
		m_fax.FaxSendImage(m_Image,"NEXT");			
}

void CRemoteFAXDlg::OnSendfax() 
{
	// TODO: Add your control notification handler code here
	m_fax.FaxSend();		
}

void CRemoteFAXDlg::OnGetfax() 
{
	// TODO: Add your control notification handler code here
	m_fax.FaxReceiveInit();		
}

BEGIN_EVENTSINK_MAP(CRemoteFAXDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CRemoteFAXDlg)
	ON_EVENT(CRemoteFAXDlg, IDC_DECTELEFAX1, 1 /* RINGDetect */, OnRINGDetectDectelefax1, VTS_NONE)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CRemoteFAXDlg::OnRINGDetectDectelefax1() 
{
	// TODO: Add your control notification handler code here
	m_fax.FaxAcceptIncoming();
	m_fax.FaxImageToBMP();			
}

void CRemoteFAXDlg::OnTxinfo() 
{
	// TODO: Add your control notification handler code here
bool bRet;
	UpdateData(TRUE);
	bRet=m_fax.TransmitInfo(m_Image, "images");		
}

void CRemoteFAXDlg::OnTximage() 
{
	// TODO: Add your control notification handler code here
bool bRet;
	bRet=m_fax.TransmitFile();			
}

void CRemoteFAXDlg::OnGetinfo() 
{
	// TODO: Add your control notification handler code here
bool bRet;
	UpdateData(TRUE);
	bRet=m_fax.RequestInfo(m_Image, "images");			
}

void CRemoteFAXDlg::OnGetimage() 
{
	// TODO: Add your control notification handler code here
bool bRet;
	UpdateData(TRUE);
	bRet=m_fax.RequestFile();			
}

void CRemoteFAXDlg::OnExit() 
{
	// TODO: Add your control notification handler code here
	OnOK();			
}
