// RemotePagerDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RemotePager.h"
#include "RemotePagerDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRemotePagerDlg dialog

CRemotePagerDlg::CRemotePagerDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRemotePagerDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRemotePagerDlg)
	m_PagerNumber = _T("");
	m_NumericMessage = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CRemotePagerDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRemotePagerDlg)
	DDX_Text(pDX, IDC_EDITPHONE, m_PagerNumber);
	DDX_Text(pDX, IDC_EDITMESSAGE, m_NumericMessage);
	DDX_Control(pDX, IDC_DECTELEPAGER1, m_pager);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CRemotePagerDlg, CDialog)
	//{{AFX_MSG_MAP(CRemotePagerDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDSERVER, OnServer)
	ON_BN_CLICKED(IDCLIENT, OnClient)
	ON_BN_CLICKED(IDDISCONNECT, OnDisconnect)
	ON_BN_CLICKED(IDCOM2, OnCom2)
	ON_BN_CLICKED(IDPHONE, OnPhone)
	ON_BN_CLICKED(IDMESSAGE, OnMessage)
	ON_BN_CLICKED(IDPAGE, OnPage)
	ON_BN_CLICKED(IDSTATUS, OnStatus)
	ON_BN_CLICKED(IDEXIT, OnExit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRemotePagerDlg message handlers

BOOL CRemotePagerDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CRemotePagerDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CRemotePagerDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CRemotePagerDlg::OnServer() 
{
	// TODO: Add your control notification handler code here
	m_pager.SetPropertyTerminalType("Server");
	m_pager.SetPropertyPassword("Decision Computer");
	m_pager.SetServer();	
}

void CRemotePagerDlg::OnClient() 
{
	// TODO: Add your control notification handler code here
	m_pager.SetPropertyTerminalType("client");
	m_pager.SetPropertyPassword("Decision Computer");
	m_pager.SetConnect();	
}

void CRemotePagerDlg::OnDisconnect() 
{
	// TODO: Add your control notification handler code here
	m_pager.DisConnect();	
}

void CRemotePagerDlg::OnCom2() 
{
	// TODO: Add your control notification handler code here
	m_pager.PagerCOMPort("COM2");	
}

void CRemotePagerDlg::OnPhone() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	m_pager.PagerTelNo(m_PagerNumber, 0);		
}

void CRemotePagerDlg::OnMessage() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	m_pager.PagerDataToSend(m_NumericMessage, 5);	
}

void CRemotePagerDlg::OnPage() 
{
	// TODO: Add your control notification handler code here
	m_pager.PagerSend();	
}

void CRemotePagerDlg::OnStatus() 
{
	// TODO: Add your control notification handler code here
long lReturn;
CString sReturn;
	lReturn=m_pager.ConnectStatus();
	sReturn=m_pager.GetConnectionStatus();
	MessageBox(sReturn);	
}

void CRemotePagerDlg::OnExit() 
{
	// TODO: Add your control notification handler code here
	OnOK();
}
