// RemoteVoiceDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RemoteVoice.h"
#include "RemoteVoiceDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRemoteVoiceDlg dialog

CRemoteVoiceDlg::CRemoteVoiceDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRemoteVoiceDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRemoteVoiceDlg)
	m_wavFile = _T("");
	m_PhoneNumber = _T("");
	m_Filename = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CRemoteVoiceDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRemoteVoiceDlg)
	DDX_Text(pDX, IDC_EDITWAV, m_wavFile);
	DDX_Text(pDX, IDC_EDITPHONE, m_PhoneNumber);
	DDX_Text(pDX, IDC_EDITFILENAME, m_Filename);
	DDX_Control(pDX, IDC_DECTELEVOICE1, m_voice);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CRemoteVoiceDlg, CDialog)
	//{{AFX_MSG_MAP(CRemoteVoiceDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDSERVER, OnServer)
	ON_BN_CLICKED(IDCLIENT, OnClient)
	ON_BN_CLICKED(IDSTATUS, OnStatus)
	ON_BN_CLICKED(IDDISCONNECT, OnDisconnect)
	ON_BN_CLICKED(IDEXIT, OnExit)
	ON_BN_CLICKED(IDCOM2, OnCom2)
	ON_BN_CLICKED(IDPHONE, OnPhone)
	ON_BN_CLICKED(IDWAV, OnWav)
	ON_BN_CLICKED(IDVOICE, OnVoice)
	ON_BN_CLICKED(IDTXINFO, OnTxinfo)
	ON_BN_CLICKED(IDTXFILE, OnTxfile)
	ON_BN_CLICKED(IDRXINFO, OnRxinfo)
	ON_BN_CLICKED(IDRXFILE, OnRxfile)
	ON_BN_CLICKED(IDAUTOANSWER, OnAutoanswer)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRemoteVoiceDlg message handlers

BOOL CRemoteVoiceDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CRemoteVoiceDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CRemoteVoiceDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CRemoteVoiceDlg::OnServer() 
{
	// TODO: Add your control notification handler code here
	m_voice.SetTerminalType("server");
	m_voice.SetPropertyPassword("Decision Computer");
	m_voice.SetServer();	
}

void CRemoteVoiceDlg::OnClient() 
{
	// TODO: Add your control notification handler code here
	m_voice.SetPropertyTerminalType("client");
	m_voice.SetPropertyPassword("Decision Computer");
	m_voice.SetConnect();	
}

void CRemoteVoiceDlg::OnStatus() 
{
	// TODO: Add your control notification handler code here
long lRet;
CString sRet;
	lRet=m_voice.ConnectStatus();
	sRet=m_voice.CliGetsConnectionStatus();
	MessageBox(sRet);	
}

void CRemoteVoiceDlg::OnDisconnect() 
{
	// TODO: Add your control notification handler code here
	m_voice.DisConnect();	
}

void CRemoteVoiceDlg::OnExit() 
{
	// TODO: Add your control notification handler code here
	OnOK();	
}

void CRemoteVoiceDlg::OnCom2() 
{
	// TODO: Add your control notification handler code here
	m_voice.TeleCOMPort("COM2");	
}

void CRemoteVoiceDlg::OnPhone() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if (m_PhoneNumber != "")
		m_voice.TeleTelNo(m_PhoneNumber, 0);	
}

void CRemoteVoiceDlg::OnWav() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if (m_wavFile != "")
	{
		m_wavFile = m_wavFile + ".wav";
		m_voice.TeleSpecifyFile(m_wavFile, "#");
	}	
}

void CRemoteVoiceDlg::OnVoice() 
{
	// TODO: Add your control notification handler code here
	m_voice.TeleSend();	
}

void CRemoteVoiceDlg::OnTxinfo() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if (m_Filename != "")
		m_voice.TransmitInfo(m_Filename, "voice");	
}

void CRemoteVoiceDlg::OnTxfile() 
{
	// TODO: Add your control notification handler code here
	m_voice.TransmitFile();	
}

void CRemoteVoiceDlg::OnRxinfo() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if (m_Filename != "")
		m_voice.RequestInfo(m_Filename, "voice");	
}

void CRemoteVoiceDlg::OnRxfile() 
{
	// TODO: Add your control notification handler code here
	m_voice.RequestFile();	
}

void CRemoteVoiceDlg::OnAutoanswer() 
{
	// TODO: Add your control notification handler code here
	m_voice.TeleReceiveInit();	
}

BEGIN_EVENTSINK_MAP(CRemoteVoiceDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CRemoteVoiceDlg)
	ON_EVENT(CRemoteVoiceDlg, IDC_DECTELEVOICE1, 2 /* RINGDetected */, OnRINGDetectedDectelevoice1, VTS_NONE)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CRemoteVoiceDlg::OnRINGDetectedDectelevoice1() 
{
	// TODO: Add your control notification handler code here
CString sRet;
int iRet;	
	m_voice.TeleAcceptIncoming();
	do {
	 m_voice.TeleGetDTMF();
	 sRet = m_voice.CliGetvReturn();
	 iRet=atoi(sRet);
	 switch (iRet) {
	 case 1:
	 		m_voice.TelePlayMessage("dtmf1.wav");
 			break;
 	 case 2:
 			m_voice.TelePlayMessage("dtmf2.wav");
			break;
	 case 3:
			m_voice.TelePlayMessage("dtmf3.wav");
			break;
	 case 4:
			m_voice.TelePlayMessage("dtmf4.wav");
			break;
	 default:
			m_voice.TelePlayMessage("wow.wav");
			break;
	 }
	}while(sRet!='#');

	m_voice.TeleRejectIncoming();	
}
